Skip to main content
GET
/
caller-profiles
/
agents
/
{agent_id}
/
{phone}
Get Caller Profile
curl --request GET \
  --url https://api.example.com/caller-profiles/agents/{agent_id}/{phone} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "tenant_id": "<string>",
  "agent_id": "<string>",
  "phone_number": "<string>",
  "total_calls": 123,
  "agent_name": "<string>",
  "first_seen_at": "<string>",
  "last_seen_at": "<string>",
  "last_call_id": "<string>",
  "last_call_summary": "<string>",
  "last_call_outcome": "<string>",
  "caller_name": "<string>",
  "preferred_language": "<string>",
  "country_code": "<string>",
  "notes": {}
}

Documentation Index

Fetch the complete documentation index at: https://docs.mrassistant.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

agent_id
string<uuid>
required
phone
string
required

Response

Successful Response

id
string
required
tenant_id
string
required
agent_id
string
required
phone_number
string
required
total_calls
integer
required
agent_name
string | null
first_seen_at
string | null
last_seen_at
string | null
last_call_id
string | null
last_call_summary
string | null
last_call_outcome
string | null
caller_name
string | null
preferred_language
string | null
country_code
string | null
notes
Notes · object